Debian Bug report logs - #567805
autofs5: Please use lsb output functions in init.d/autofs

version graph

Package: autofs5; Maintainer for autofs5 is Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>; Source for autofs5 is src:autofs.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 31 Jan 2010 14:24:01 UTC

Severity: normal

Tags: patch

Found in version autofs5/5.0.4-3.1

Fixed in version autofs/5.0.6-1

Done: Dmitry Smirnov <onlyjob@member.fsf.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#567805; Package autofs5. (Sun, 31 Jan 2010 14:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Sun, 31 Jan 2010 14:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: autofs5: Please use lsb output functions in init.d/kdm
Date: Sun, 31 Jan 2010 15:21:25 +0100
Package:  autofs5
Version:  5.0.4-3.1
User:     debian-edu@lists.debian.org
UserTags: debian-edu

When using autofs5 with the progress bar and console in usplash, no
message show up when autofs5 is started.

The reason is that the init.d script do not use the output functions
in /lib/lsb/init-functions, but uses echo directly.  usplash override
the functions in /lib/lsb/init-functions to feed the text into the
graphical boot screen, and thus depend on the use of the lsb output
functions.

Please change the init.d script to use the lsb output functions.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#567805; Package autofs5. (Sat, 27 Feb 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Sat, 27 Feb 2010 09:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 567805@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 567805@bugs.debian.org
Subject: Re: Bug#567805: autofs5: Please use lsb output functions in init.d/kdm
Date: Sat, 27 Feb 2010 10:20:13 +0100
[Message part 1 (text/plain, inline)]
tags 567805 + patch
retitle 567805 autofs5: Please use lsb output functions in init.d/autofs
thanks

Here is a tested patch implementing this change.  The package will
need to depend on lsb-base too to get this working.  Please include
the patch in the next upload and try to get it into Squeeze.

Happy hacking,
-- 
Petter Reinholdtsen
[autofs5-lsb.diff (text/plain, attachment)]

Added tag(s) patch. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 27 Feb 2010 09:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'autofs5: Please use lsb output functions in init.d/autofs' from 'autofs5: Please use lsb output functions in init.d/kdm' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 27 Feb 2010 09:21:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 20:09:16 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
You have taken responsibility. (Sun, 20 May 2012 16:51:13 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 20 May 2012 16:51:13 GMT) Full text and rfc822 format available.

Message #21 received at 567805-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 567805-close@bugs.debian.org
Subject: Bug#567805: fixed in autofs 5.0.6-1
Date: Sun, 20 May 2012 16:47:10 +0000
Source: autofs
Source-Version: 5.0.6-1

We believe that the bug you reported is fixed in the latest version of
autofs, which is due to be installed in the Debian FTP archive:

autofs-hesiod_5.0.6-1_i386.deb
  to main/a/autofs/autofs-hesiod_5.0.6-1_i386.deb
autofs-ldap_5.0.6-1_i386.deb
  to main/a/autofs/autofs-ldap_5.0.6-1_i386.deb
autofs5-hesiod_5.0.6-1_all.deb
  to main/a/autofs/autofs5-hesiod_5.0.6-1_all.deb
autofs5-ldap_5.0.6-1_all.deb
  to main/a/autofs/autofs5-ldap_5.0.6-1_all.deb
autofs5_5.0.6-1_all.deb
  to main/a/autofs/autofs5_5.0.6-1_all.deb
autofs_5.0.6-1.debian.tar.xz
  to main/a/autofs/autofs_5.0.6-1.debian.tar.xz
autofs_5.0.6-1.dsc
  to main/a/autofs/autofs_5.0.6-1.dsc
autofs_5.0.6-1_i386.deb
  to main/a/autofs/autofs_5.0.6-1_i386.deb
autofs_5.0.6.orig.tar.bz2
  to main/a/autofs/autofs_5.0.6.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@member.fsf.org> (supplier of updated autofs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Apr 2012 00:30:51 +1000
Source: autofs
Binary: autofs autofs-ldap autofs-hesiod autofs5 autofs5-ldap autofs5-hesiod
Architecture: source i386 all
Version: 5.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Changed-By: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: 
 autofs     - kernel-based automounter for Linux
 autofs-hesiod - Hesiod map support for autofs
 autofs-ldap - LDAP map support for autofs
 autofs5    - transitional dummy package for 'autofs'
 autofs5-hesiod - transitional dummy package for 'autofs-hesiod'
 autofs5-ldap - transitional dummy package for 'autofs-ldap'
Closes: 521165 556961 565507 567805 568813 583094 595808 600764 602933 603491 608459 617317 626435 626473 651978 655351 659616 660075 667811 668077
Changes: 
 autofs (5.0.6-1) unstable; urgency=low
 .
   * New upstream release
     - "mount(nfs): no hosts available" (Closes: #608459).
     - "new upstream version available" (Closes: #602933).
     - "autofs mounted directory are never dismounted" (Closes: #521165).
     - "autofs5 does not support recursive mount" (Closes: #626473).
     - "autofs5 crashed in a nested setup in combination with
        negative lookups on *" (Closes: #617317).
     - "autofs5-ldap: simple bind auth feature request" (Closes: #595808).
     - "autofs5-ldap: SASL auth broken" (Closes: #568813).
   * package rename: dropping '5' from package names (Closes: #655351).
   * NMU changes acknowledged (Closes: #603491, #583094).
   * register /etc/default/autofs with ucf (Closes: #556961).
   * debian/copyright to DEP-5 format; upstream copyright audit.
   * packaging update:
     * use debhelper & compat version 9.
     * standards to 3.9.3
     * lintian-override for 'non-standard-file-perm'
     * install missing autofs_ldap_auth.conf.5 man page
     * source format to version 3 and .xz compression
     * debian/rules rewritten in debhelper style
   * patchworks:
     + replacing upstream patches with new patchset as of 2012-04-23.
     + replacing dpatch with quilt (Closes: #668077)
     + new patch to correct manpages spelling (Closes: #660075)
       thanks to Oz Nahum Tiram and Javi Merino
     + updated SYSV init script patch:
       * removed bashisms (Closes: #626435).
       * introduce 'status' support to SYSV script
         (Closes: #651978, #667811, #565507).
       * adding 'slapd' to Should-Start/Stop (Closes: #600764, #659616).
       * LSB output (Closes: #567805) thanks to Petter Reinholdtsen.
   * declare myself as Maintainer (adopting package)
Checksums-Sha1: 
 e597ad4e8e711567e4c3a10c86c192d0453d0bf5 1592 autofs_5.0.6-1.dsc
 8c323e4327e98cbbcefc40883763e30814df9b44 311857 autofs_5.0.6.orig.tar.bz2
 1d48df2dad53fe63715adc352f3fc13caf3ce39f 52960 autofs_5.0.6-1.debian.tar.xz
 a69825d1c15ed55266be17ffccb20923dfe52459 766736 autofs_5.0.6-1_i386.deb
 5843975daf8c861f29f078efd3adc0cb0b42be7e 97986 autofs-ldap_5.0.6-1_i386.deb
 bfbd41649b3c288667e6a1691c902a2985c998f2 112584 autofs-hesiod_5.0.6-1_i386.deb
 e8ac473d17c52035d2ec102bb5e01336c8d1e166 19548 autofs5_5.0.6-1_all.deb
 c33d4d8427895ea87b552d8e3ee10165f07a672b 19558 autofs5-ldap_5.0.6-1_all.deb
 69047f89ea0bc05a8baf7645e45169a6e4e0a61e 19558 autofs5-hesiod_5.0.6-1_all.deb
Checksums-Sha256: 
 16113a0337ad3d0d8016551f67259edf0b82831838344e6a8400f473c0e1413c 1592 autofs_5.0.6-1.dsc
 125b439a311939f247936ad697bc53b11a8e694aaff8ddf44a9fd7fa850e692c 311857 autofs_5.0.6.orig.tar.bz2
 7882b8849e33676447447cba95c84561a2ee740c072b42678a3afd5d45443d92 52960 autofs_5.0.6-1.debian.tar.xz
 5b95b274f1b76dd5063abac952b84c7b5ad92c029b85cc4db44a35a6abbddd06 766736 autofs_5.0.6-1_i386.deb
 7d3a5c4aa9c7a064bb658c12c08dddc12db20386a7aca1512ec47d385a7e9935 97986 autofs-ldap_5.0.6-1_i386.deb
 601b9b7b9b472b9369fd03880cdd96a7cae2e9f5dc15395a6acad29c7dd0c49a 112584 autofs-hesiod_5.0.6-1_i386.deb
 c12849cd5669affee0b98921e945c527ac7be1c9233a60b41b4dc9cce905a29b 19548 autofs5_5.0.6-1_all.deb
 4bd61c3aa53feb59dacddf63c449de034386282f1e814d06ed54842ad9c49912 19558 autofs5-ldap_5.0.6-1_all.deb
 b460f735459849dbc6d8525b9e5bcea2203e66352d2727ba7bff2a31938fc812 19558 autofs5-hesiod_5.0.6-1_all.deb
Files: 
 4ccbef0979e8b63f1c4df1287f0c1ac6 1592 utils extra autofs_5.0.6-1.dsc
 44cea7f711e2290a0b50fddeda079705 311857 utils extra autofs_5.0.6.orig.tar.bz2
 5a3a04d51058b940ab69f910c150191c 52960 utils extra autofs_5.0.6-1.debian.tar.xz
 bc3b6e1c2828fba1b10c60d6f07565ef 766736 utils extra autofs_5.0.6-1_i386.deb
 9b2a69b88be310f34d5ebd69ec1b2943 97986 utils extra autofs-ldap_5.0.6-1_i386.deb
 1c2ba40e5b3d84ef32d73f584554e11c 112584 utils extra autofs-hesiod_5.0.6-1_i386.deb
 54deeb9aaa15fe4d1987a9cd95a8f3f5 19548 oldlibs extra autofs5_5.0.6-1_all.deb
 ca4c0bb83fabe4d4958935233d4c046a 19558 oldlibs extra autofs5-ldap_5.0.6-1_all.deb
 f50313f9b91d48f8c1207608752d5399 19558 oldlibs extra autofs5-hesiod_5.0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk+qwmkACgkQUlPFrXTwyDjf+wP/TDBO+C48iavGGvxn6b9rdORb
zJUVEvT+f3ipFuVeAO11t5MjI7qxTJtatdczECb7WE5Rp/qMU50vfUi6dHr/slfe
daGOfLKX1fKCU3j/oxiJ/8rHZfs2mug/RClCbbwDKYhd9fQvU2/qjm1njwJXqeZq
p4LlPNN6kmGfnKjblMY=
=mYrM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2012 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:52:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.